GWT 2.7.0

## com.google.gwt.user.client.ui
Interface HasAlignment

All Superinterfaces:
  HasHorizontalAlignment, HasVerticalAlignment

All Known Implementing Classes:
  Column, DockPanel, HorizontalPanel, IdentityColumn, TextColumn, VerticalPanel

    public interface HasAlignment

extends HasHorizontalAlignment, HasVerticalAlignment

A widget that implements this interface has an intrinsic alignment which can be manipulated using these methods and constants.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`HasHorizontalAlignment.AutoHorizontalAlignmentConstant, HasHorizontalAlignment.HorizontalAlignmentConstant`

Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`HasVerticalAlignment.VerticalAlignmentConstant`

Field Summary

Fields inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`ALIGN_CENTER, ALIGN_DEFAULT, ALIGN_JUSTIFY, ALIGN_LEFT, ALIGN_LOCALE_END, ALIGN_LOCALE_START, ALIGN_RIGHT`

Fields inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`ALIGN_BOTTOM, ALIGN_MIDDLE, ALIGN_TOP`

Method Summary

Methods inherited from interface com.google.gwt.user.client.ui.HasHorizontalAlignment
`getHorizontalAlignment, setHorizontalAlignment`

Methods inherited from interface com.google.gwt.user.client.ui.HasVerticalAlignment
`getVerticalAlignment, setVerticalAlignment`

GWT 2.7.0